package com.syjy.calculate.entity;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 计算公式
 *
 * @author zcl
 * @version 1.0
 * @since 2022/8/02 10:16
 */
@Data
public class CalculationFormula {

    /**
     * 公式编号（运维标识，主键）
     */
    @Getter
    @Setter
    private Integer id;

    /**
     * 公式类型
     */
    @Getter
    @Setter
    private String type;

    /**
     * 公式执行顺序
     */
    @Getter
    @Setter
    private Integer order;

    /**
     * 公式内容
     */
    @Getter
    @Setter
    private String formula;

    /**
     * 上报省调
     */
    @Getter
    @Setter
    private String provinceEnum;

    /**
     * 状态
     */
    @Getter
    @Setter
    private String state;

}
